Subject: [Dime] RFC4006bis and IPv6 redirect address

From: Dave Dolson <[email-masked]>
Date: Wed, 6 Jul 2016 14:18:51 +0000

In RFC4006, we find the following in section 8.38, Redirect-Address-Type AVP:

   IPv6 Address                    1
      The address type is in the form of IPv6 address, as defined in
      [IPv6Addr].  The address is a text representation of the address
      in either the preferred or alternate text form [IPv6Addr].
      Conformant implementations MUST support the preferred form and
      SHOULD support the alternate text form for IPv6 addresses.

[IPv6Addr] refers to obsolete RFC3513. We will change this to RFC4291, but ...
The above wording refers to two formats, "preferred" and "alternate", whereas both RFC3513 and RFC4291 refer to *three* formats:

1.       "The preferred form is x:x:x:x:x:x:x:x,..."

2.       "...a special syntax is available to compress the zeros..."

3.       "An alternative form that is sometimes more convenient when dealing with a mixed environment of IPv4 and IPv6 nodes is x:x:x:x:x:x:d.d.d.d,..."

See https://tools.ietf.org/html/rfc4291#section-2.2

Is it intended that all 3 forms be supported? Otherwise it seems that only the long preferred form and the mixed alternative forms are permitted, not the compressed form.

My sense is that it was always intended that all of the forms described in section 2.2 of RFC 4291 should be supported.

-Dave